> For the complete documentation index, see [llms.txt](https://docs.kpnthings.com/kpn-things/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.kpnthings.com/kpn-things/building-blocks/devices/trackers/kpn-locationtag-v.md).

# KPN LocationTag V

![KPN LocationTag V](https://portal.kpnthings.com/assets/images/device-types/kpn-locationtag-v.png)

Also known as StreamLineTM-2001/P1A5.

* Supported network type(s): `KPNLORA`
* Device Specification ID: `kpn-locationtag-v`
* Device Specification UUID: `be8617b8-831c-4781-84ed-d535b862eace`

| Decoders                                              | decoderSpecificationUUID               | Description                                                                                               |
| ----------------------------------------------------- | -------------------------------------- | --------------------------------------------------------------------------------------------------------- |
| › Decoded payload for Asset Tracking application (v2) | `b2b9da8f-761e-599f-8464-3a916d54b6b8` | Decoder for Streamline lora messages encoded as P3K3 (loctagiiiv2) with RotationCount (byte length 2-49). |
| › Decoded payload with motion indication (v2)         | `e36ca071-eb67-5bf4-93de-0efa2ca087ea` | Decoder for Streamline LoRa devices configured with motion indicator configuration.                       |

### › Decoded payload for Asset Tracking application (v2)

Decoder for Streamline lora messages encoded as P3K3 (loctagiiiv2) with RotationCount (byte length 2-49).

{% hint style="info" %}
This decoder also decodes [Geolocation and Local Gateway](/kpn-things/getting-started/tutorials/technical-overview/location-data.md) data.
{% endhint %}

The following SenML records can be present, amongst others:

| name                  | type    | unit | example  | description                            |
| --------------------- | ------- | ---- | -------- | -------------------------------------- |
| batteryVoltage        | number  | V    |          |                                        |
| devEui                | string  |      |          | Not present in detail level 1 messages |
| DvLat                 | number  | lat  |          | Latitude                               |
| DvLon                 | number  | lon  |          | Longitude                              |
| firmwareCRC           | string  |      |          | Not present in detail level 1 messages |
| firmwareVersion       | string  |      |          | Not present in detail level 1 messages |
| gpsActiveStill        | boolean |      | `true`   |                                        |
| gpsFixStill           | boolean |      | `true`   |                                        |
| gpsModuleActive       | boolean |      | `true`   | Not present in detail level 1 messages |
| nfcScanned            | boolean |      | `true`   |                                        |
| nfcState              | string  |      |          | Not present in detail level 1 messages |
| nrOfLoraTransmissions | number  |      |          | Not present in detail level 1 messages |
| orientationX          | number  |      |          | Not present in detail level 1 messages |
| orientationY          | number  |      |          | Not present in detail level 1 messages |
| powerupTime           | number  | min  |          | Not present in detail level 1 messages |
| rotationCount         | number  |      |          |                                        |
| rotationLeft          | number  |      |          | Not present in detail level 1 messages |
| rotationRight         | number  |      |          | Not present in detail level 1 messages |
| settingsCRC           | string  |      |          | Not present in detail level 1 messages |
| status                | string  |      |          | Not present in detail level 1 messages |
| temperature           | number  | Cel  | `18.334` |                                        |
| transmissionTime      | number  | s    |          | Not present in detail level 1 messages |

#### Example SenML

{% hint style="info" %}
SenML can be structured in different ways, and we do not guarantee the examples below will look the same as what you will receive on your Destination. To make sure you can handle the SenML optimally, take a look at our documentation about [Understanding and Interpreting SenML Data](/kpn-things/building-blocks/data-processing/thingsml-and-senml/senml/understanding-and-interpreting-senml-data.md).
{% endhint %}

### › Decoded payload with motion indication (v2)

Decoder for Streamline LoRa devices configured with motion indicator configuration.

{% hint style="info" %}
This decoder also decodes [Geolocation and Local Gateway](/kpn-things/getting-started/tutorials/technical-overview/location-data.md) data.
{% endhint %}

The following SenML records can be present, amongst others:

| name               | type   | unit | example        | description                                              |
| ------------------ | ------ | ---- | -------------- | -------------------------------------------------------- |
| AccX               | number | m/s2 | `-1.3`         | Measured acceleration in the X-axis                      |
| AccY               | number | m/s2 | `-0.5`         | Measured acceleration in the Y-axis                      |
| AccZ               | number | m/s2 | `3.0`          | Measured acceleration in the Z-axis                      |
| CompX              | number | T    | `0.0000010`    | Measured compass orientation in the X-axis               |
| CompY              | number | T    | `-0.001507`    | Measured compass orientation in the Y-axis               |
| CompZ              | number | T    | `-0.002638`    | Measured compass orientation in the Z-axis               |
| DvLat              | number | lat  | `51.90717`     | Latitude                                                 |
| DvLon              | number | lon  | `4.48940`      | Longitude                                                |
| GpsFix             | string |      | `"RECENT"`     | Either `"RECENT"` or `"OUTDATED"`                        |
| Heading            | number | rad  | `3.316`        |                                                          |
| Io31               | number |      | `1.0`          | arbitrary bit                                            |
| IoButt             | number |      | `1.0`          | whether the Device's button was pressed                  |
| IoMot              | number |      | `1.0`          | whether the Device is in motion                          |
| IoRxd              | number |      | `1.0`          | Device's external digital i/o value                      |
| movementIndication | string |      | `"STATIONARY"` | Either `"STATIONARY"`, `"STOP"`, `"START"` or `"MOVING"` |
| Speed              | number | m/s  | `4.12`         |                                                          |
| Temp               | string | Cel  | `7.0`          | Temperature                                              |
| VBat               | number | V    | `3.59`         | Battery voltage                                          |

#### Example SenML

{% hint style="info" %}
SenML can be structured in different ways, and we do not guarantee the examples below will look the same as what you will receive on your Destination. To make sure you can handle the SenML optimally, take a look at our documentation about [Understanding and Interpreting SenML Data](/kpn-things/building-blocks/data-processing/thingsml-and-senml/senml/understanding-and-interpreting-senml-data.md).
{% endhint %}

```json
[
    {
        "bn": "urn:dev:DEVEUI:0123456789012345:",
        "bt": 1701882708.84,
        "n": "DvLon",
        "u": "lon",
        "v": 4.48940
    },
    {
        "n": "DvLat",
        "u": "lat",
        "v": 51.90717
    },
    {
        "n": "Speed",
        "u": "m/s",
        "v": 4.12
    },
    {
        "n": "Heading",
        "u": "rad",
        "v": -3.944
    },
    {
        "n": "IoButt",
        "v": 1.0
    },
    {
        "n": "IoRxd",
        "v": 1.0
    },
    {
        "n": "IoMot",
        "v": 0.0
    },
    {
        "n": "Io31",
        "v": 0.0
    },
    {
        "n": "AccX",
        "u": "m/s2",
        "v": 9.5002
    },
    {
        "n": "AccY",
        "u": "m/s2",
        "v": 0.7661
    },
    {
        "n": "AccZ",
        "u": "m/s2",
        "v": 0.1532
    },
    {
        "n": "CompX",
        "u": "T",
        "v": 0.0000010
    },
    {
        "n": "CompY",
        "u": "T",
        "v": -0.001507
    },
    {
        "n": "CompZ",
        "u": "T",
        "v": -0.002638
    },
    {
        "n": "Temp",
        "u": "Cel",
        "v": 7.0
    },
    {
        "n": "movementIndication",
        "vs": "STATIONARY"
    },
    {
        "n": "GpsFix",
        "vs": "RECENT"
    },
    {
        "n": "VBat",
        "u": "V",
        "v": 3.59
    },
    {
        "n": "timeOrigin",
        "vs": "NETWORK"
    }
]
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.kpnthings.com/kpn-things/building-blocks/devices/trackers/kpn-locationtag-v.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
